Name: trustedqsl
Version: 1.11
Release: 2%{?dist}
Summary: TrustedQSL ham-radio applications
Group: Applications/Communications
License: BSD
URL: http://sourceforge.net/projects/trustedqsl/
Source: http://downloads.sourceforge.net/%{name}/TrustedQSL-%{version}.tar.gz
#left and right are reserved words, submited upstream
Patch0: TrustedQSL-1.11-icon.patch
#losing precision when doing void -> int, submited upstream
Patch1: TrustedQSL-1.11-gcc43.patch
#zlib, expat detection for x86_64
Patch2: TrustedQSL-1.11-lib64.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: tqsllib >= 1.2
BuildRequires: tqsllib-devel, wxGTK-devel, zlib-devel
BuildRequires: expat-devel, desktop-file-utils

%description
The TrustedQSL applications are used for generating digitally signed
QSO records (records of Amateur Radio contacts). This package
contains the GUI applications tqslcert and tqsl.

%prep
%setup -q -n TrustedQSL-%{version}
%patch0 -p1 -b .icon
%patch1 -p1 -b .gcc43
%patch2 -p1 -b .lib64

%build
#again detetction is broken for ssl and tqsl
export OPENSSL=/usr
export TQSLLIB=/usr
%configure --without-openssl --without-tqsllib
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR="%{buildroot}" INSTALL="install -p"
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp icons/key48.png %{buildroot}%{_datadir}/pixmaps/TrustedQSL.png
sed -i -e "s/.png//g" -e "s/Application;//g" -e "s/Utility;//g" tqsl.desktop
sed -i -e "s/.png//g" -e "s/Application;//g" -e "s/Utility;//g" tqslcert.desktop
desktop-file-install \
        --dir=%{buildroot}%{_datadir}/applications tqsl.desktop
desktop-file-install \
        --dir=%{buildroot}%{_datadir}/applications tqslcert.desktop


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE help/*

%{_bindir}/tqsl
%{_bindir}/tqslcert
%{_datadir}/TrustedQSL/help/*
%{_datadir}/applications/*tqsl*.desktop
%{_datadir}/pixmaps/TrustedQSL.png

%changelog
* Fri Oct 10 2008 Lucian Langa <cooly@gnome.eu.org> - 1.11-2
- misc cleanups
- update buildrequires
- package missing docs

* Sun Jul 13 2008 Lucian Langa <lucilanga@gnome.org> - 1.11-1
- initial spec file for fedora

